#!/usr/bin/perl -w

if ($#ARGV != 0)
{
	die "Usage: update_sqlite3_schema.pl [schemafile.dia]";
}

$schemafile = $ARGV[0];

if (! -e $schemafile)
{
	die "non-existant schemafile given.";
}

use Parse::Dia::SQL;
my $dia = Parse::Dia::SQL->new(file => $schemafile, db => 'sqlite3');
my $schema = $dia->get_sql();
open(OUT, ">database/schema.sqlite3");
print OUT $schema;
close(OUT);
exit();
